public class arrayprint2
{
public static<E> void printArray( Object x[])
{for(int i=0;i<x.length;i++)
  System.out.print(" "+x[i]);
 System.out.println(); 
}

public static void main(String arg[])
{
Integer[] i={1,2,3,4,5,6};
Double[] d={1.1,2.2,3.3,4.4,5.5,6.6};
Character[] c={'a','b','c','d','f','g'};
String[] s={"ali","veli","49","elli"};
Object o[][]={i,d,c,s};
for(int j=0;j<o.length;j++) printArray(o[j]);
}
}
